# vue3 test

## Project setup

```
$ npm install
```

### Run project with Vue UI

```
$ vue ui
```

## Build for Android / iOS

```
# Let’s create the dist folder and build our Vue project by running the following command:
$ npm run build

# Android
# -------

# Add Android platform:
$ npx cap add android

# Copy the web assets to the native project:
$ npx cap copy android

# To update your app's dependencies, run:
$ npx cap update android

# Finally, open the native project in Android Studio using the open command of the Capacitor CLI:
$ npx cap open android

# Once Android Studio is open and the project is built you may run the app either in the Emuöator or a real device (connected via USB) by hitting the *Play* button in the top menu bar of Android Studio.

# ------------------------

# iOS
# Add iOS platform:
$ npx cap add ios

# Copy the web assets to the native project:
$ npx cap copy ios

# To update your app's dependencies, run:
$ npx cap update ios

# Finally, open the native project in xCode using the open command of the Capacitor CLI:
$ npx cap open ios

# ------------------------

# To install new plugins (including Cordova ones), run:
$ npm install really-cool-plugin
$ npx cap update
```

## Run project in terminal

### Compiles and hot-reloads for development

```
$ npm run serve
```

### Compiles and minifies for production

```
$ npm run build
```

### Lints and fixes files

```
$ npm run lint
```

### Run your end-to-end tests

```
$ npm run test:e2e
```
