import Home from '@/components/Home'

export default [
  // Home
  {
    path: '/',
    name: 'home',
    component: Home
  },
  // About
  {
    path: '/about',
    name: 'about',
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () => import(/* webpackChunkName: "about" */ '@/components/About')
  },
  // All invalid routes will redirect here
  {
    path: '*',
    redirect: '/'
  }
]
